Screen brightness double level changes on Dell laptops

Bug #207473 reported by sonicated on 2008-03-27
262
This bug affects 30 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
hal (Ubuntu)
Medium
Unassigned
Declined for Intrepid by Jeremy Foshee
Hardy
Medium
Unassigned
kde-guidance (Ubuntu)
Medium
Andreas Wenning
Declined for Intrepid by Jeremy Foshee
Hardy
Medium
Unassigned
linux (Ubuntu)
Medium
Ubuntu Kernel Team
Declined for Intrepid by Jeremy Foshee
Hardy
Low
Unassigned

Bug Description

Binary package hint: gnome-power-manager

I have a fresh installation of Hardy with the latest updates installed on a Dell Inspiron 6400 laptop. The brightness settings (Fn+Up/Down) work although they seem to skip a level each time.

'/proc/acpi/video/VID/LCD/brightness' tells me that it supports brightness levels 12, 24, 36, 48, 60, 72, 84 and 100. Without gnome-power-manager running pressing Fn+Up will transition up into each level and back down again smoothly.

When gnome-power-manager is running increasing the brightness from 12 I can only get levels 36, 60, 84 and 100. Decreasing the levels from 100 I only get 72, 48, 24 and 12. Running gnome-power-manager with the verbose option shows that when I press the brightness-up button once it is recorded twice. I ran gnome-power-manager in a debugger thinking it was a timing issue and it still happened.

I have included the output from pressing the brightness-up button (Fn+Up) once below. This only happens when gnome-power-manager is running and did not happen using Feisty. I have looked at the code and I cannot see why the button event is triggered twice, I don't have any experience of the code but if you can give me any ideas of where to start I can try to look into this myself.

Thanks!

[hal_device_condition_cb] gpm-button.c:391 (00:11:48): condition=ButtonPressed, details=brightness-up
[emit_button_pressed] gpm-button.c:335 (00:11:48): emitting button-pressed : brightness-up
[button_pressed_cb] gpm-manager.c:999 (00:11:48): Button press event type=brightness-up
[button_pressed_cb] gpm-srv-screensaver.c:167 (00:11:48): Button press event type=brightness-up
[button_pressed_cb] gpm-backlight.c:563 (00:11:48): Button press event type=brightness-up
[gpm_brightness_lcd_get_hw] gpm-brightness-lcd.c:116 (00:11:48): GetBrightness returned level: 0
[gpm_brightness_lcd_set_hw] gpm-brightness-lcd.c:155 (00:11:48): Setting 1 of 7
[gpm_brightness_lcd_up] gpm-brightness-lcd.c:362 (00:11:48): emitting brightness-changed (14)
[brightness_changed_cb] gpm-backlight.c:755 (00:11:48): Need to display backlight feedback value 14
[gpm_feedback_display_value] gpm-feedback-widget.c:144 (00:11:48): Displaying 0.140000 on feedback widget
[gpm_refcount_add] gpm-refcount.c:100 (00:11:48): refcount now: 1
[gpm_refcount_add] gpm-refcount.c:101 (00:11:48): non zero, so sending REFCOUNT_ADDED
[brightness_changed_cb] gpm-backlight.c:759 (00:11:48): emitting brightness-changed : 14
[button_pressed_cb] gpm-info.c:698 (00:11:48): Button press event type=brightness-up
[hal_device_condition_cb] gpm-button.c:391 (00:11:48): condition=ButtonPressed, details=brightness-up
[emit_button_pressed] gpm-button.c:335 (00:11:48): emitting button-pressed : brightness-up
[button_pressed_cb] gpm-manager.c:999 (00:11:48): Button press event type=brightness-up
[button_pressed_cb] gpm-srv-screensaver.c:167 (00:11:48): Button press event type=brightness-up
[button_pressed_cb] gpm-backlight.c:563 (00:11:48): Button press event type=brightness-up
[gpm_brightness_lcd_get_hw] gpm-brightness-lcd.c:116 (00:11:48): GetBrightness returned level: 1
[gpm_brightness_lcd_set_hw] gpm-brightness-lcd.c:155 (00:11:48): Setting 2 of 7
[gpm_brightness_lcd_up] gpm-brightness-lcd.c:362 (00:11:48): emitting brightness-changed (28)
[brightness_changed_cb] gpm-backlight.c:755 (00:11:48): Need to display backlight feedback value 28
[gpm_feedback_display_value] gpm-feedback-widget.c:144 (00:11:48): Displaying 0.280000 on feedback widget
[gpm_refcount_add] gpm-refcount.c:100 (00:11:48): refcount now: 2
[gpm_refcount_add] gpm-refcount.c:101 (00:11:48): non zero, so sending REFCOUNT_ADDED
[brightness_changed_cb] gpm-backlight.c:759 (00:11:48): emitting brightness-changed : 28
[button_pressed_cb] gpm-info.c:698 (00:11:48): Button press event type=brightness-up
[gpm_refcount_auto_decrement] gpm-refcount.c:77 (00:11:50): refcount now: 1
[gpm_refcount_auto_decrement] gpm-refcount.c:74 (00:11:50): zero, so sending REFCOUNT_ZERO
[gpm_feedback_close_window] gpm-feedback-widget.c:134 (00:11:50): Closing feedback widget

sonicated (tc-sonicated) on 2008-03-27
description: updated
Pavel Malyshev (afunix) wrote :

I can confirm that. I've just upgraded from gutsy to hardy on my dell inspirion 1520. But I'm using kubuntu (it's guidance-power-manager in kde).
When I'm in kde, pressing Fn+up/down skips one brightness level. And I can see 2 popups showing brightness level (one under another).
In console everything works fine.
I can set any level with 'echo [something] > /proc/acpi/video/VID/LCD/brightness'. I can set any level in guidance-power-manager. I can even increase/decrease brightness level by one with 'dcop guidance power-manager brightnessDown/brightnessUp'

Pavel Malyshev (afunix) wrote :

Maybe it's hal error?

$ lshal -m

Start monitoring devicelist:
-------------------------------------------------
12:55:17.525: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = brightness-up
12:55:17.525: computer_logicaldev_input condition ButtonPressed = brightness-up
12:55:18.012: computer_power_supply_battery_BAT0 property battery.voltage.current = 12542 (0x30fe)
12:55:18.738: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = brightness-down
12:55:18.754: computer_logicaldev_input condition ButtonPressed = brightness-down

Pavel Malyshev (afunix) wrote :

After stopping hal and acpid (/etc/init.d/acpid stop; /etc/init.d/hal stop) I can adjust brightness in console and kde with all levels, but there is no popups in kde (guidance uses hal?). So it looks like that there are two services that handling brightness changing (hal+kdeish_tools[kmilo+kde-guidance] and something else).

Adam (adam-leckron) wrote :

I'm also experiencing this issue on my dell inspiron 6400 recently. I don't believe it was a problem a couple of weeks ago...

Flo (florian-perret) wrote :

Same problem with a Dell XPS M1330.
Gusty was working good, the problem is since Hardy.

Pavel Malyshev (afunix) wrote :

I've solved problem by putting "blacklist video" in /etc/modprobe.d/blacklist

aidave (aidave) wrote :

Also have this problem with Dell 1420n running Hardy Beta

Flo (florian-perret) wrote :

Adding "blacklist video" in /etc/modprobe.d/blacklist also solve the problem on my Dell XPS M1330

Download full text (4.7 KiB)

But that's only a temporary workaround and not really a fix... right?

On Fri, Apr 11, 2008 at 11:20 AM, Flo <email address hidden> wrote:

> Adding "blacklist video" in /etc/modprobe.d/blacklist also solve the
> problem on my Dell XPS M1330
>
> --
> Screen brightness double level changes
> https://bugs.launchpad.net/bugs/207473
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "gnome-power-manager" in Ubuntu: New
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> I have a fresh installation of Hardy with the latest updates installed on
> a Dell Inspiron 6400 laptop. The brightness settings (Fn+Up/Down) work
> although they seem to skip a level each time.
>
> '/proc/acpi/video/VID/LCD/brightness' tells me that it supports brightness
> levels 12, 24, 36, 48, 60, 72, 84 and 100. Without gnome-power-manager
> running pressing Fn+Up will transition up into each level and back down
> again smoothly.
>
> When gnome-power-manager is running increasing the brightness from 12 I
> can only get levels 36, 60, 84 and 100. Decreasing the levels from 100 I
> only get 72, 48, 24 and 12. Running gnome-power-manager with the verbose
> option shows that when I press the brightness-up button once it is recorded
> twice. I ran gnome-power-manager in a debugger thinking it was a timing
> issue and it still happened.
>
> I have included the output from pressing the brightness-up button (Fn+Up)
> once below. This only happens when gnome-power-manager is running and did
> not happen using Feisty. I have looked at the code and I cannot see why the
> button event is triggered twice, I don't have any experience of the code but
> if you can give me any ideas of where to start I can try to look into this
> myself.
>
> Thanks!
>
>
> [hal_device_condition_cb] gpm-button.c:391 (00:11:48):
> condition=ButtonPressed, details=brightness-up
> [emit_button_pressed] gpm-button.c:335 (00:11:48): emitting
> button-pressed : brightness-up
> [button_pressed_cb] gpm-manager.c:999 (00:11:48): Button press
> event type=brightness-up
> [button_pressed_cb] gpm-srv-screensaver.c:167 (00:11:48): Button
> press event type=brightness-up
> [button_pressed_cb] gpm-backlight.c:563 (00:11:48): Button press
> event type=brightness-up
> [gpm_brightness_lcd_get_hw] gpm-brightness-lcd.c:116 (00:11:48):
> GetBrightness returned level: 0
> [gpm_brightness_lcd_set_hw] gpm-brightness-lcd.c:155 (00:11:48):
> Setting 1 of 7
> [gpm_brightness_lcd_up] gpm-brightness-lcd.c:362 (00:11:48): emitting
> brightness-changed (14)
> [brightness_changed_cb] gpm-backlight.c:755 (00:11:48): Need to display
> backlight feedback value 14
> [gpm_feedback_display_value] gpm-feedback-widget.c:144 (00:11:48):
> Displaying 0.140000 on feedback widget
> [gpm_refcount_add] gpm-refcount.c:100 (00:11:48): refcount now: 1
> [gpm_refcount_add] gpm-refcount.c:101 (00:11:48): non zero, so
> sending REFCOUNT_ADDED
> [brightness_changed_cb] gpm-backlight.c:759 (00:11:48): emitting
> brightness-changed : 14
> [button_pressed_cb] gpm-info.c:698 (00:11:48): Button press event
> type=brightness-up
> [hal_device...

Read more...

Right, it's just a hack. I hope a fix will be available when the heron will take off...

Adam (adam-leckron) wrote :

Not much time left on that. Slipping through the cracks? Shouldn't it be assigned to someone?

Steve Langasek (vorlon) on 2008-04-16
Changed in hal:
importance: Undecided → Medium
AdriM (adrian-malinaru) wrote :
Download full text (48.8 KiB)

Almost the same problem with Gutsy on a dell inspiron 1520N laptop
 At startup the brightness controls works (FN+Key UP/FN+ Key Down) (until gdm is loaded) and afterwards the keys are extremely sensitive and any kind of brightness control works only after I login. Nothing happens when I press them after gdm is started and before login or if I switch to text mode.

I don't think that it's important but I've updated from 7.10 to 8.04 using update-manager --devel-release. At update time I've chosen to overwrite all config files with the ones provided by the new package version. After the first boot (I'm using compiz) all the windows that were in the backgroud (not minimized, just having a dialog opened in front of it) lost their title bar and when switching back to them the title bar comes up again. I've used sudo nvidia-xconfig -xvmc-uses-textures --xinerama --use-events --no-sli --render-accel to reconfigure the X server and now all works fine with compiz.

Back to the brightness issue.
Running kernel: 2.6.24-16-generic #1 SMP Thu Apr 10 13:23:42 UTC 2008 i686 GNU/Linux
Content of the dmesg:
Please note the following. During the boot I've kept pressing Brightness UP/Down on the keyboard. It does work for a while. It's stops working at the same time that messages like
[ 25.182603] atkbd.c: Unknown key pressed (translated set 2, code 0x85 on isa0060/serio0).
[ 25.182699] atkbd.c: Use 'setkeycodes e005 <keycode>' to make it known.
stops showing up. (Before the Nvidia module is loaded. That might be only a coincidence because I'm not able to press the keyboard as fast as the kernel loads a module)

--------------DMESG output
[ 0.000000] Linux version 2.6.24-16-generic (buildd@palmer) (gcc version 4.2.3 (Ubuntu 4.2.3-2ubuntu7)) #1 SMP Thu Apr 10 13:23:42 UTC 2008 (Ubuntu 2.6.24-16.30-generic)
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
[ 0.000000] BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000003fe6d800 (usable)
[ 0.000000] BIOS-e820: 000000003fe6d800 - 0000000040000000 (reserved)
[ 0.000000] BIOS-e820: 00000000f0000000 - 00000000f4000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed18000 - 00000000fed1c000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed20000 - 00000000fed90000 (reserved)
[ 0.000000] BIOS-e820: 00000000feda0000 - 00000000feda6000 (reserved)
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee10000 (reserved)
[ 0.000000] BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
[ 0.000000] 126MB HIGHMEM available.
[ 0.000000] 896MB LOWMEM available.
[ 0.000000] Entering add_active_range(0, 0, 261741) 0 entries of 256 used
[ 0.000000] Zone PFN ranges:
[ 0.000000] DMA 0 -> 4096
[ 0.000000] Normal 4096 -> 229376
[ 0.000000] HighMem 229376 -> 261741
[ 0.000000] Movable zone start PFN for each node
[ 0.000000] early_node_map[1] active PFN ranges
[ 0.000000] 0: 0 -> 261741
[ 0.000000] On node 0 totalpag...

AdriM (adrian-malinaru) wrote :

I apologize. The first line of the previous comment should be:
"Almost the same problem with Hardy on a dell inspiron 1520N laptop"

digger vermont (digver) wrote :

Hello,

I've a Inspiron 1525 with Hardy.

If I use the hotkeys (Fn + up/down) I only get 4 steps.

If I use the "Power Manager Brightness Applet" there are 8 brightness levels. However it takes 100 clicks on the + and - buttons to get from one end to the other. That seems like Bug #149780

mxyzptlk (mxyzptlk) wrote :

Same problem with a Lenovo Ideapad Y510.

Intel GM965/GL960 gfx card.

Also, Fn+up/Fn+down are reversed, so Fn+up = Fn+down, and Fn+down = Fn+up.

Confirming the same with Hardy on Dell Inspiron 6400.

Fiesty worked fine, only in Hardy.

Fn + up/down key behavior is ok.

Brandon (theevilgeek) wrote :

Same exact problem on a Dell M1330 with Hardy. Prior to the Hardy upgrade, brightness keys worked as expected. Now, I'm observing the same brightness skipping behavior as described in the bug report.

Please only comment on bugs if you're saying something that can contribute to fixing the bug.

In my case (Dell Inspiron 9400) I get 4 events with every key press, and 4 brightness level change by gnome-power-manager respectively.
This is with 1 brightness down key press:

snifer@snifer-laptop:~$ lshal -m

Start monitoring devicelist:
-------------------------------------------------
19:25:50.117: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = brightness-down
19:25:50.124: computer_logicaldev_input_1 condition ButtonPressed = brightness-down
19:25:50.124: computer_logicaldev_input condition ButtonPressed = brightness-down
19:25:50.328: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = brightness-down

radsaq (radsaq) wrote :

I can confirm the behavior of 4 brightness levels per key press on a Dell XPS M1210 under KDE. "lshal -m" shows the same thing here.

Changed in hal:
status: New → Confirmed

Bug #218889 and bug #212733 seem to describe the same problem.

mxyzptlk (mxyzptlk) wrote :

Also related to #211948 and #220310.

That's what "Mark as duplicate" is for.

mxyzptlk (mxyzptlk) wrote :

related to, not duplicates, wise guy. but one fix may help another.

I realise that. There is no need to insult me. There is a Code of Conduct to folllow here.

mxyzptlk (mxyzptlk) wrote :

Insult shminsult. What I wrote wasn't a duplicate, it was related, so your "That's what 'Mark as duplicate' is for" comment was snarky. Or does a code of conduct only work one way?

Aye, probably. I'll shut up now, this is pointless noise over nothing.

mxyzptlk (mxyzptlk) wrote :

Here's me shutting up too.

Also affects kde-guidance-powermanager on certain laptops. Should be partly fixed in kde-guidance-powermanager.

Changed in kde-guidance:
assignee: nobody → andreas-wenning
status: New → Confirmed

I observed that the brightness can be set to the desired value using the brightness widget to the panel. You can use it to set brightness level until fix is available.

I observed that the brightness can be set to the desired value using the brightness widget. You can use it to set brightness level until fix is available.

Blacklisting the video module works as a workaround for me, but I think it's not the real solution. I'm attaching my lshal output after backlisting the video module.

This is after pressing brightness down hotkey 1 time:

snifer@snifer-laptop:~$ lshal -m

Start monitoring devicelist:
-------------------------------------------------
23:00:06.637: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = brightness-down

The fix for the kde-guidance-powermanager part of this problem is attached. See also duplicate bug 218889 for further info.

Changed in kde-guidance:
importance: Undecided → Medium
importance: Undecided → Medium
milestone: none → ubuntu-8.04.1
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kde-guidance - 0.8.0svn20080103-0ubuntu17

---------------
kde-guidance (0.8.0svn20080103-0ubuntu17) intrepid; urgency=low

  * Edited kubuntu_23_kde-powermanager_gpmhelper.patch to prevent
    multiple brightness- or hibernate-calls happening on certain
    machines. Already implemented for sleep-calls. (LP: #207473)

 -- Andreas Wenning <email address hidden> Mon, 12 May 2008 16:45:38 +0200

Changed in kde-guidance:
status: Confirmed → Fix Released
Hinrich (bugs-hinrich) wrote :

Same bug here on a XPS M1330.

"blacklist video" fixes the original problem, BUT causes other (more serious) problems: When backlight is dimmed because of idle, the touchpad stops working for a few seconds (and backlight is not dimmed):
psmouse.c: TouchPad at isa0060/serio1/input0 lost synchronization

Is there some other fix (in gnome) for the brightness problem other than "blacklist video"?

LEVIS Cyril (atlas95) wrote :

I'm waiting for a proper fix too :( Same problem as you Hinrinch I confirm yet.

The above SRU is handled in bug 82279 .

LEVIS Cyril (atlas95) wrote :

Do you have any news? When this will be repair without blacklist video?
ps: What means "SRU" please ?

Thanks

SRU means "stable release update". I'm working at getting the kde-guidance part of the fix into hardy.

Sympy (sympathy4no1) wrote :

Will there be a fix for Gnome? The kde-guidance fix will only fix this for KDE, right?

Hinrich (bugs-hinrich) on 2008-06-19
Changed in hal:
status: New → Confirmed
Steve Langasek (vorlon) on 2008-06-20
Changed in kde-guidance:
status: Confirmed → Fix Committed
Steve Langasek (vorlon) on 2008-06-20
Changed in kde-guidance:
status: Fix Committed → Fix Released
Changed in hal:
status: Confirmed → Invalid
status: Confirmed → Invalid
Changed in linux:
importance: Undecided → Low
status: New → Confirmed
importance: Undecided → Low
status: New → Confirmed
Changed in linux:
status: Unknown → Confirmed
Changed in linux:
status: Confirmed → Fix Released
Steve Langasek (vorlon) on 2009-04-24
summary: - Screen brightness double level changes
+ Screen brightness double level changes on Dell laptops
Steve Langasek (vorlon) on 2009-04-24
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Steve Langasek (vorlon) on 2009-10-30
Changed in linux (Ubuntu):
status: Fix Released → Confirmed
90 comments hidden view all 170 comments

I just want to mention that on my Dell XPS 1330 with Karmic, I do NOT
experience this issue at all, everything regarding brightness works as
expected out of the box.

I wonder if this affects only KDE or not, Michael, are you running KDE or
something else?

On Tuesday 03 November 2009 20.38.35 Michael Rooney wrote:
> I just want to mention that on my Dell XPS 1330 with Karmic, I do NOT
> experience this issue at all, everything regarding brightness works as
> expected out of the box.
>

mihai.ile (mihai.ile) wrote :

I can confirm that on Gnome Karmic on my xps M 1330 I also do not experience the issue, didn't tested under KDE as I never used Kubuntu.

Download full text (5.5 KiB)

I've been using Kubuntu (KDE on Ubuntu) for a couple years. Once I
installed Kubuntu on my new Dell XPS M1330 a couple years ago, I found a
workaround to fix the double brightness issue; which was to blacklist video
module. It worked but when I upgraded to 9.10 that no longer worked.

On Tue, Nov 3, 2009 at 11:50 AM, Mikael Gerdin <email address hidden>wrote:

> I wonder if this affects only KDE or not, Michael, are you running KDE or
> something else?
>
> On Tuesday 03 November 2009 20.38.35 Michael Rooney wrote:
> > I just want to mention that on my Dell XPS 1330 with Karmic, I do NOT
> > experience this issue at all, everything regarding brightness works as
> > expected out of the box.
> >
>
> --
> Screen brightness double level changes on Dell laptops
> https://bugs.launchpad.net/bugs/207473
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in The Linux Kernel: Fix Released
> Status in “hal” package in Ubuntu: Invalid
> Status in “kde-guidance” package in Ubuntu: Fix Released
> Status in “linux” package in Ubuntu: Confirmed
> Status in hal in Ubuntu Hardy: Invalid
> Status in kde-guidance in Ubuntu Hardy: Fix Released
> Status in linux in Ubuntu Hardy: Confirmed
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> I have a fresh installation of Hardy with the latest updates installed on a
> Dell Inspiron 6400 laptop. The brightness settings (Fn+Up/Down) work
> although they seem to skip a level each time.
>
> '/proc/acpi/video/VID/LCD/brightness' tells me that it supports brightness
> levels 12, 24, 36, 48, 60, 72, 84 and 100. Without gnome-power-manager
> running pressing Fn+Up will transition up into each level and back down
> again smoothly.
>
> When gnome-power-manager is running increasing the brightness from 12 I can
> only get levels 36, 60, 84 and 100. Decreasing the levels from 100 I only
> get 72, 48, 24 and 12. Running gnome-power-manager with the verbose option
> shows that when I press the brightness-up button once it is recorded twice.
> I ran gnome-power-manager in a debugger thinking it was a timing issue and
> it still happened.
>
> I have included the output from pressing the brightness-up button (Fn+Up)
> once below. This only happens when gnome-power-manager is running and did
> not happen using Feisty. I have looked at the code and I cannot see why the
> button event is triggered twice, I don't have any experience of the code but
> if you can give me any ideas of where to start I can try to look into this
> myself.
>
> Thanks!
>
>
> [hal_device_condition_cb] gpm-button.c:391 (00:11:48):
> condition=ButtonPressed, details=brightness-up
> [emit_button_pressed] gpm-button.c:335 (00:11:48): emitting
> button-pressed : brightness-up
> [button_pressed_cb] gpm-manager.c:999 (00:11:48): Button press event
> type=brightness-up
> [button_pressed_cb] gpm-srv-screensaver.c:167 (00:11:48): Button
> press event type=brightness-up
> [button_pressed_cb] gpm-backlight.c:563 (00:11:48): Button press event
> type=brightness-up
> [gpm_brightness_lcd_get_hw] gpm-brightness-lcd.c:116 (00:11:48):
> GetBrightness returned level: 0
> [gpm_brig...

Read more...

Steve Langasek (vorlon) wrote :

Thanks, that confirms that the keypress event is being shown twice on two different kernel input devices. This is definitely a kernel bug - marking as triaged, and handing it over to the kernel team.

Changed in linux (Ubuntu):
assignee: nobody → Ubuntu Kernel Team (ubuntu-kernel-team)
importance: Low → Medium
status: Confirmed → Triaged
ethanay (ethan-y-us) wrote :

I have some interesting behavior to report -- brightness change hotkeys interacting with Gnome-Do with a fresh install Karmic Koala 9.10 on XPS M1330

1. I have access to 5 brightness levels (bug) via the brightness hotkeys: brightest/dimmest plus four additional key presses
2. I SHOULD have access to 8 brightness levels via the brightness hotkeys: brightest/dimmest plus 7 additional key presses
3. With Gnome-Do running: Press <super>space to active the Gnome-Do search function. Adjust brightness: have access to all 8 brightness levels via brightness hotkeys, but no brightness notification appears in the upper right corner upon keypress. "lshal -m" still outputs two button press events per keypress

This sounds like a bug with Compiz?

ethanay (ethan-y-us) wrote :

aahh, never mind. <super>space with Gnome-Do stops all other software input, effectively blocking gnome-power-manager from registering the brightness keypresses, giving access to all brightness levels.

stopping gnome-power-manager produces access to all 8 brightness levels via brightness hotkeys.

this seems like a bug with gnome-power-manager on Karmic Koala 9.10 still...

Michael Rooney (mrooney) wrote :

On Tue, Nov 3, 2009 at 11:50 AM, Mikael Gerdin wrote:
> I wonder if this affects only KDE or not, Michael, are you running KDE or
> something else?

I am indeed using Ubuntu and not Kubuntu.

tags: added: iso-testing
Jeremy Foshee (jeremyfoshee) wrote :

verified the commit in Lucid. Marked Fix Released. Declined nomination for Intrepid.

-JFo

Changed in linux (Ubuntu):
status: Triaged → Fix Released
hate_bugs_89 (oyv-soppelpost) wrote :

Okay, so... where is the fix?
I'm a complete Linux newbie, but I'm raging right now because everything is so fricking hard to find out about. Yes, I am smashing my head and my fists against a brick wall right now. :)

I should have just downgraded to 7.10 right now, but then I wouldn't be able to activate my graphics card drivers, because they stop supporting the current Linux distrubation after two days.

Sense Egbert Hofstede (sense) wrote :

Does this issue still exist in Hardy Heron?

Changed in linux:
importance: Unknown → Medium
Owen Williams (ywwg) wrote :

I still have this problem in Natty. If I kill gnome-power-manager and acpid, I can still change the brightness (I get all 8 steps that way). But I get no output at all with either lshal -m or sudo /lib/udev/keymap -i input/event4 and sudo /lib/udev/keymap -i input/event5 in this mode. Is the brightness being changed by the bios?

Svetoslav Popov (sffetlio) wrote :

I have similar problem on my HP 6715s. I think bios controls the brightness, and when I change the brightness, it goes 2 steps.
Ubuntu 11.04 x64

Pavel Malyshev (afunix) wrote :

I can confirm this bug on Dell Inspiron 1520 and fresh Ubuntu Natty

Pavel Malyshev (afunix) wrote :

Is three years is not enough to fix this bug?
There were seven releases!
hardy [LTS]. intrepid. jaunty. karmic. lucid [LTS]. maverick. natty.

Bzzz (da-bzzz) wrote :

Similar problem on my ThinkPad T400, but with steps of two or three.
cat /sys/devices/virtual/backlight/acpi_video0/actual_brightness goes 0 -> 2 -> 5 -> 8 -> 11 -> 14 -> 15 (max), down: -> 13 -> 11 -> 8 -> 6 -> 3 -> 0. Manual setting of each single step via panel is possible.
I haven't had this on maverick, if that is any help.

lshal -m does not generate any output.

Birchle (birchle) wrote :

I'm also having this problem on a Dell Latitude E6410 with Ubuntu 11.04, using the Classic (no effects) desktop.

A new (I think) detail, though:
If I have a menu open in the panel, any menu (applications, places, system, volume, time/date, etc), and try changing the brightness with it open, it only changes by one level. As soon as I leave the menu, it goes back to changing two levels back to back, for one button-press.

lshal -m gives me "The program 'lshal' is currently not installed. You can install it by typing: sudo apt-get install hal"

Is there anything else I should try and post the results?

Pavel Malyshev (afunix) wrote :

Yeah! Cool!
It is a three-year-old bug and I can still reproduce it in Ubuntu 11.10!

Let's leave this bug for the third LTS! I will miss this one if someday it will be fixed!

Andreas Peer (andipeer) wrote :

I'm also still experiencing this bug in 11.10, although now the brightness level changes by 3 steps instead of 2 when pressing the brighntess-up/down key once.
It's interesting that this happens just after login in. On the login screen (LightDM) it's working fine, so maybe it's still a gnome-related bug?

Pavel Malyshev (afunix) wrote :

No. This bug can be found in kde and gnome. It looks like hal-related bug. You can switch to console (Alt-Ctrl-F1) and change brightness by one step.
This behavoir is known since April 2008...

And I can confirm that pressing brightness-up/down changes brightness by 3 steps.

P Liu (lpc921) wrote :

I'm using ubuntu, lubuntu, and kubuntu 11.10 and thinkpad T520. Pressing brightness-up/down changes brightness by 3 steps.

Karolis (karolis) wrote :

I have this bug ever since I first started using Ubuntu - please don't take it away...

OK, in all seriousness, this is not a workaround, but I find it useful https://launchpad.net/~indicator-brightness/+archive/ppa

Daniel Ansari (dansari) wrote :

I was using Ubuntu 11.10 (32 bit) on a ThinkPad W510, and having this problem. Fn+Down decreased brightness by 2 steps, and Fn+Up increased it by 3 steps.

I just changed my installation to Xubuntu 11.10 64 bit, and am having the same issue, thus it's not specific to Gnome nor KDE. I don't have HAL installed. The two commands below have no effect:

/etc/init.d/acpid stop
/etc/init.d/hal stop (No such file or directory)

The temporary workaround is described in the comment by Kuba Górski. I can also overwrite the brightness file to set the desired level (0-15).

Dmikam (dmikam) wrote :

The same problem. 4 events. The brightnes in/decrased by 2 steps:
Ubuntu 11.10 Unity
Ubuntu 11.10 Gnome-shell

$ cat /sys/class/dmi/id/sys_vendor
Hewlett-Packard
$ cat /sys/class/dmi/id/product_name
HP Pavilion dm4 Notebook PC

$ sudo killall gnome-settings-daemon
$ /etc/init.d/acpid stop
$ /etc/init.d/hal stop (No such file or directory)

$ sudo /lib/udev/keymap -i input/eventX
.....
# single decrease brightness button pressed
got scan code event 0xAB without a key code event
got scan code event 0xAB without a key code event
.....
# single increase brightness button pressed (YES !!! the same key-code)
got scan code event 0xAB without a key code event
got scan code event 0xAB without a key code event
.....

$ xev | sed -n 's/^.*state \([0-9].*\), keycode *\([0-9]\+\) *\(.*\), .*$/keycode \2 = \3, state = \1/p'
...
# single decrease brightness button pressed
keycode 232 = (keysym 0x1008ff03, XF86MonBrightnessDown), state = 0x0
keycode 232 = (keysym 0x1008ff03, XF86MonBrightnessDown), state = 0x0
keycode 232 = (keysym 0x1008ff03, XF86MonBrightnessDown), state = 0x0
keycode 232 = (keysym 0x1008ff03, XF86MonBrightnessDown), state = 0x0
# single increase brightness button pressed
keycode 233 = (keysym 0x1008ff02, XF86MonBrightnessUp), state = 0x0
keycode 233 = (keysym 0x1008ff02, XF86MonBrightnessUp), state = 0x0
keycode 233 = (keysym 0x1008ff02, XF86MonBrightnessUp), state = 0x0
keycode 233 = (keysym 0x1008ff02, XF86MonBrightnessUp), state = 0x0

I think that's all...

Binding these commands to other hotkeys helps me.... not critical but ....
xbacklight -inc 10
xbacklight -dec 10

Dmikam (dmikam) wrote :

One more thing respectively to my previous comment:

$ acpi_listen
# single brightness down button pressed (Fn+F2)
video DD02 00000087 00000000
video DD02 00000087 00000000
# single brightness up button pressed (Fn+F3)
video DD02 00000086 00000000
video DD02 00000086 00000000

Steve Langasek (vorlon) wrote :

> $ cat /sys/class/dmi/id/product_name
> HP Pavilion dm4 Notebook PC

This bug report is about Dell laptops. Please open a separate bug report for your issue.

Dmikam (dmikam) wrote :

I have seen Lenovo bug notify here too... I don't think it is related with vendor Dell...

Daniel Ansari (dansari) wrote :

The bug report is titled too narrowly, as the problem obviously encompasses multiple hardware platforms. This should be a clue for the developers.

On Fri, Mar 23, 2012 at 10:54:31AM -0000, Daniel Ansari wrote:
> The bug report is titled too narrowly

No, because if you're seeing such a symptom on different hardware, it is an
*unrelated bug* and you should file a new bug report.

Mtt.Castelli (mtt.castelli) wrote :

Confirmed here, since a lot a Ubuntu release, now:

Ubuntu 11.10 64-bit, kernel Linux 3.2.13 on Dell XPS M1330 Intel graphic x3100. This behaviour occur both with main graphics driver than with the onces included in this PPA https://launchpad.net/~oibaf/+archive/graphics-drivers

Adam Porter (alphapapa) wrote :

I think it's not just the brightness, either. It seems to be the
multimedia keys as well. Just trying to pause the music player with
the pause button on my Dell XPS M1330 is very difficult, because
pressing the pause button sends it twice, so the music pauses and
instantly unpauses. If I tap it a bunch of times, I eventually get
lucky and end up with an uneven number of keypresses received. The
same happens with next/previous and volume buttons (e.g. mute works
the same as pause).

Pavel Malyshev (afunix) wrote :

Adam, I think you issue with pause/next/prev buttons is something different. Because everyone in this thread has problem with brightness and noone reported problem with these keys. Actually, I have "doblue-brightness" issue on my Dell Inspiron 1520 (with 12.04 beta 2!! will it ever be fixed?!) and pause/prev/next buttons work just fine.

Pavel Malyshev (afunix) wrote :

Ubuntu 12.10.. The bug is still here.

ethanay (ethan-y-us) wrote :
Download full text (5.3 KiB)

ditto on a Dell Inspiron 1440 -- still here. no workarounds that i know of

Dell XPS m1330 -- adding "acpi_backlight=vendor" to grub boot parameters
resolves the issue

ethan

On Mon, Nov 5, 2012 at 8:55 AM, Pavel Malyshev <email address hidden>wrote:

> Ubuntu 12.10.. The bug is still here.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/207473
>
> Title:
> Screen brightness double level changes on Dell laptops
>
> Status in The Linux Kernel:
> Fix Released
> Status in “hal” package in Ubuntu:
> Invalid
> Status in “kde-guidance” package in Ubuntu:
> Fix Released
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “hal” source package in Hardy:
> Invalid
> Status in “kde-guidance” source package in Hardy:
> Fix Released
> Status in “linux” source package in Hardy:
> Confirmed
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> I have a fresh installation of Hardy with the latest updates installed
> on a Dell Inspiron 6400 laptop. The brightness settings (Fn+Up/Down)
> work although they seem to skip a level each time.
>
> '/proc/acpi/video/VID/LCD/brightness' tells me that it supports
> brightness levels 12, 24, 36, 48, 60, 72, 84 and 100. Without gnome-
> power-manager running pressing Fn+Up will transition up into each
> level and back down again smoothly.
>
> When gnome-power-manager is running increasing the brightness from 12
> I can only get levels 36, 60, 84 and 100. Decreasing the levels from
> 100 I only get 72, 48, 24 and 12. Running gnome-power-manager with the
> verbose option shows that when I press the brightness-up button once
> it is recorded twice. I ran gnome-power-manager in a debugger thinking
> it was a timing issue and it still happened.
>
> I have included the output from pressing the brightness-up button
> (Fn+Up) once below. This only happens when gnome-power-manager is
> running and did not happen using Feisty. I have looked at the code and
> I cannot see why the button event is triggered twice, I don't have any
> experience of the code but if you can give me any ideas of where to
> start I can try to look into this myself.
>
> Thanks!
>
>
> [hal_device_condition_cb] gpm-button.c:391 (00:11:48):
> condition=ButtonPressed, details=brightness-up
> [emit_button_pressed] gpm-button.c:335 (00:11:48): emitting
> button-pressed : brightness-up
> [button_pressed_cb] gpm-manager.c:999 (00:11:48): Button press
> event type=brightness-up
> [button_pressed_cb] gpm-srv-screensaver.c:167 (00:11:48): Button
> press event type=brightness-up
> [button_pressed_cb] gpm-backlight.c:563 (00:11:48): Button press
> event type=brightness-up
> [gpm_brightness_lcd_get_hw] gpm-brightness-lcd.c:116 (00:11:48):
> GetBrightness returned level: 0
> [gpm_brightness_lcd_set_hw] gpm-brightness-lcd.c:155 (00:11:48):
> Setting 1 of 7
> [gpm_brightness_lcd_up] gpm-brightness-lcd.c:362 (00:11:48): emitting
> brightness-changed (14)
> [brightness_changed_cb] gpm-backlight.c:755 (00:11:48): Need to
> display backlight feedback value 14
> [gp...

Read more...

Julian Wiedmann (jwiedmann) wrote :

This release has reached end-of-life [0].

[0] https://wiki.ubuntu.com/Releases

Changed in linux (Ubuntu Hardy):
status: Confirmed → Invalid
Pavel Malyshev (afunix) wrote :

Are you serios? This bug is confirmed in 12.04 and 13.04. It can't be invalid!

ethanay (ethan-y-us) wrote :

Is this a HAL problem? It's still a problem in 14.04 LTS...

Pavel Malyshev (afunix) wrote :

Just FYI:
The bug, which Ubuntu cannot fix for 7 (SEVEN!!!) years, was fixed in Fedora in 1.5 months: https://bugzilla.redhat.com/show_bug.cgi?id=1141525

ethanay (ethan-y-us) wrote :
Download full text (5.9 KiB)

adding "acpi_backlight=vendor acpi_osi=linux" to grub boot options:
a. fully fixes this problem in a Dell Inspiron 1545 running 14.04 (all
behavior normal and as expected, including indicator popups for brightness
adjustment)
b. partially fixes the problem in a Dell Inspiron 1440 running 12.04 (full
access to all brightness levels via dedicated buttons, indicator pops up
but does not visually exhibit a brightness level change)

ethan

“A society grows great when its elders plant trees whose shade they know
they shall never sit in.” -- an ironic Greek proverb

On Sun, Aug 30, 2015 at 3:30 AM, Pavel Malyshev <email address hidden>
wrote:

> Just FYI:
> The bug, which Ubuntu cannot fix for 7 (SEVEN!!!) years, was fixed in
> Fedora in 1.5 months: https://bugzilla.redhat.com/show_bug.cgi?id=1141525
>
> ** Bug watch added: Red Hat Bugzilla #1141525
> https://bugzilla.redhat.com/show_bug.cgi?id=1141525
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/207473
>
> Title:
> Screen brightness double level changes on Dell laptops
>
> Status in Linux:
> Fix Released
> Status in hal package in Ubuntu:
> Invalid
> Status in kde-guidance package in Ubuntu:
> Fix Released
> Status in linux package in Ubuntu:
> Fix Released
> Status in hal source package in Hardy:
> Invalid
> Status in kde-guidance source package in Hardy:
> Fix Released
> Status in linux source package in Hardy:
> Invalid
>
> Bug description:
> Binary package hint: gnome-power-manager
>
> I have a fresh installation of Hardy with the latest updates installed
> on a Dell Inspiron 6400 laptop. The brightness settings (Fn+Up/Down)
> work although they seem to skip a level each time.
>
> '/proc/acpi/video/VID/LCD/brightness' tells me that it supports
> brightness levels 12, 24, 36, 48, 60, 72, 84 and 100. Without gnome-
> power-manager running pressing Fn+Up will transition up into each
> level and back down again smoothly.
>
> When gnome-power-manager is running increasing the brightness from 12
> I can only get levels 36, 60, 84 and 100. Decreasing the levels from
> 100 I only get 72, 48, 24 and 12. Running gnome-power-manager with the
> verbose option shows that when I press the brightness-up button once
> it is recorded twice. I ran gnome-power-manager in a debugger thinking
> it was a timing issue and it still happened.
>
> I have included the output from pressing the brightness-up button
> (Fn+Up) once below. This only happens when gnome-power-manager is
> running and did not happen using Feisty. I have looked at the code and
> I cannot see why the button event is triggered twice, I don't have any
> experience of the code but if you can give me any ideas of where to
> start I can try to look into this myself.
>
> Thanks!
>
>
> [hal_device_condition_cb] gpm-button.c:391 (00:11:48):
> condition=ButtonPressed, details=brightness-up
> [emit_button_pressed] gpm-button.c:335 (00:11:48): emitting
> button-pressed : brightness-up
> [button_pressed_cb] gpm-manager.c:999 (00:11:48): Button press
> event type=brightness-up
> [button_pressed_cb...

Read more...

ethanay (ethan-y-us) wrote :
Download full text (7.0 KiB)

The Fedora fix seems much more elegant and less invasive by simply finding
and eliminating a software keymapping duplicate of hardware/bios activated
keys, if it's the same issue! Maybe it's part of the fix, because the
Inspiron 1545 running 14.04 already has those changes in its
/lib/udev/hwdb.d/60-keyboard.hwdb

# Dell Inspiron 1520
keyboard:dmi:bvn*:bvr*:bd*:svnDell*:pnInspiron*1520:pvr*
 KEYBOARD_KEY_85=unknown # Brightness Down, also emitted by acpi-video,
ignore
 KEYBOARD_KEY_86=unknown # Brightness Up, also emitted by acpi-video,
ignore

although perhaps we need to generalize this to more Dells and activate it
via the computer model identifier referenced in the Fedora bug?

ethan

“A society grows great when its elders plant trees whose shade they know
they shall never sit in.” -- an ironic Greek proverb

On Mon, Aug 31, 2015 at 2:07 PM, ethan a young <email address hidden> wrote:

> adding "acpi_backlight=vendor acpi_osi=linux" to grub boot options:
> a. fully fixes this problem in a Dell Inspiron 1545 running 14.04 (all
> behavior normal and as expected, including indicator popups for brightness
> adjustment)
> b. partially fixes the problem in a Dell Inspiron 1440 running 12.04 (full
> access to all brightness levels via dedicated buttons, indicator pops up
> but does not visually exhibit a brightness level change)
>
> ethan
>
> “A society grows great when its elders plant trees whose shade they know
> they shall never sit in.” -- an ironic Greek proverb
>
>
> On Sun, Aug 30, 2015 at 3:30 AM, Pavel Malyshev <<email address hidden>
> > wrote:
>
>> Just FYI:
>> The bug, which Ubuntu cannot fix for 7 (SEVEN!!!) years, was fixed in
>> Fedora in 1.5 months: https://bugzilla.redhat.com/show_bug.cgi?id=1141525
>>
>> ** Bug watch added: Red Hat Bugzilla #1141525
>> https://bugzilla.redhat.com/show_bug.cgi?id=1141525
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/207473
>>
>> Title:
>> Screen brightness double level changes on Dell laptops
>>
>> Status in Linux:
>> Fix Released
>> Status in hal package in Ubuntu:
>> Invalid
>> Status in kde-guidance package in Ubuntu:
>> Fix Released
>> Status in linux package in Ubuntu:
>> Fix Released
>> Status in hal source package in Hardy:
>> Invalid
>> Status in kde-guidance source package in Hardy:
>> Fix Released
>> Status in linux source package in Hardy:
>> Invalid
>>
>> Bug description:
>> Binary package hint: gnome-power-manager
>>
>> I have a fresh installation of Hardy with the latest updates installed
>> on a Dell Inspiron 6400 laptop. The brightness settings (Fn+Up/Down)
>> work although they seem to skip a level each time.
>>
>> '/proc/acpi/video/VID/LCD/brightness' tells me that it supports
>> brightness levels 12, 24, 36, 48, 60, 72, 84 and 100. Without gnome-
>> power-manager running pressing Fn+Up will transition up into each
>> level and back down again smoothly.
>>
>> When gnome-power-manager is running increasing the brightness from 12
>> I can only get levels 36, 60, 84 and 100. Decreasing the levels from
>> 100 I only get 72, 48, 24 and 12. Running gnom...

Read more...

Displaying first 40 and last 40 comments. View all 170 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.